Bug 854569

Summary: avc denial nova-cert
Product: [Fedora] Fedora Reporter: David Busby <d.busby>
Component: openstack-novaAssignee: Mark McLoughlin <markmc>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: akscram, alexander.sakhnov, apevec, asalkeld, bfilippov, breu, Jan.van.Eldik, jonathansteffan, jose.castro.leon, markmc, matt_domsch, mlvov, p, rbryant, rkukura
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 23:33:39 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description David Busby 2012-09-05 06:50:56 EDT
There appears to be avc denials preventing nova-cert frp, readomg sysfs and performing tcp connections to mySQL (which is essential if the mySQL service is not on the same device).

---
[root@pi-nova1 ~]# grep denied /var/log/audit/audit.log  | grep nova
type=AVC msg=audit(1346841535.544:234): avc:  denied  { read } for  pid=2648 comm="nova-cert" name="cpu" dev="sysfs" ino=37 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=dir
type=AVC msg=audit(1346841535.545:235): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841545.558:282): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841555.570:283): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841565.580:284): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841575.592:285): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841585.603:287): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841595.614:288): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841605.626:289): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841615.636:290): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841625.648:291): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
type=AVC msg=audit(1346841635.660:292): avc:  denied  { name_connect } for  pid=2648 comm="nova-cert" dest=3306 scontext=system_u:system_r:nova_cert_t:s0 tcontext=system_u:object_r:mysqld_port_t:s0 tclass=tcp_socket
[root@pi-nova1 ~]# grep denied /var/log/audit/audit.log  | grep nova | audit2allow


#============= nova_cert_t ==============
allow nova_cert_t mysqld_port_t:tcp_socket name_connect;
allow nova_cert_t sysfs_t:dir read;
---
Comment 1 Fedora End Of Life 2013-07-03 20:08:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 23:33:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.